RevokedPersistentDataException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.persistence, class: RevokedPersistentDataException

Package org.apache.geode.cache.persistence

# Class RevokedPersistentDataException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.persistence.RevokedPersistentDataException

All Implemented Interfaces:
  `Serializable`

public class RevokedPersistentDataException extends GemFireException
Thrown when a member with persistence is recovering, and it discovers that other members in the system have revoked the persistent data stored on this member. This exception can also occur if set of persistent files was thought to be lost and was revoked, but is later brought online. Once a persistent member is revoked, that member cannot rejoin the distributed system unless the persistent files are removed. See `AdminDistributedSystem.revokePersistentMember(java.net.InetAddress, String)`

Since:
  GemFire 7.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevokedPersistentDataException()`
  `RevokedPersistentDataException(String message)`
  `RevokedPersistentDataException(String message, Throwable cause)`
  `RevokedPersistentDataException(Throwable cause)`

- ## Method Summary

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RevokedPersistentDataException

    public RevokedPersistentDataException()

  - ### RevokedPersistentDataException

    public RevokedPersistentDataException(String message, Throwable cause)

  - ### RevokedPersistentDataException

    public RevokedPersistentDataException(String message)

  - ### RevokedPersistentDataException

    public RevokedPersistentDataException(Throwable cause)